/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ExecutedActionVO.as 4798 2009-08-07 12:30:47Z alitokmen $
 * --------------------------------------------------------------------------
 */
 
package org.ow2.jasmine.monitoring.eos.purgetimer.vo
{
import com.adobe.cairngorm.vo.IValueObject;

/**
 * This object is the result of an executed action.
 */ 
[RemoteClass(alias="org.ow2.jasmine.monitoring.eos.purgetimer.service.exchange.ResultAction")]
[Bindable]
public class ResultActionVO implements IValueObject
{
    
    /**
     * The user that executed the action.
     */
    private var resultObj : int;

    public function set result(_result:int) : void {
        this.resultObj = _result;
    }
    
    public function get result() : int {
        return this.resultObj;
    }

}
}